Bug 534114

Summary: SELinux is preventing /usr/bin/python "name_connect" access.
Product: [Fedora] Fedora Reporter: isada <isada0>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:de8977b31cf5afdbe72e7eef3bd6d11c52a57a981bd4ae4d4302e42586b23e7e
Fixed In Version: 3.6.32-46.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-24 07:48:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description isada 2009-11-10 15:51:02 UTC
Zusammenfassung:

SELinux is preventing /usr/bin/python "name_connect" access.

Detaillierte Beschreibung:

SELinux denied access requested by yumdownloader. It is not expected that this
access is required by yumdownloader and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Zugriff erlauben:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Zusätzliche Informationen:

Quellkontext                  system_u:system_r:abrt_t:s0
Zielkontext                   system_u:object_r:cluster_port_t:s0
Zielobjekte                   None [ tcp_socket ]
Quelle                        yumdownloader
Quellen-Pfad                  /usr/bin/python
Port                          50006
Host                          (removed)
Quellen-RPM-Pakete            python-2.6.2-2.fc12
Ziel-RPM-Pakete               
RPM-Richtlinie                selinux-policy-3.6.32-41.fc12
SELinux aktiviert             True
Richtlinienversion            targeted
MLS aktiviert                 True
Enforcing-Modus               Enforcing
Plugin-Name                   catchall
Hostname                      (removed)
Plattform                     Linux (removed) 2.6.31.5-122.fc12.i686 #1 SMP Thu Nov 5
                              02:08:26 EST 2009 i686 i686
Anzahl der Alarme             1
Zuerst gesehen                Die 10 Nov 2009 16:45:58 CET
Zuletzt gesehen               Die 10 Nov 2009 16:45:58 CET
Lokale ID                     cb3e5840-9e9d-42ee-a12e-2e5d679b1e3c
Zeilennummern                 

Raw-Audit-Meldungen           

node=(removed) type=AVC msg=audit(1257867958.154:67): avc:  denied  { name_connect } for  pid=3404 comm="yumdownloader" dest=50006 scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:object_r:cluster_port_t:s0 tclass=tcp_socket

node=(removed) type=SYSCALL msg=audit(1257867958.154:67): arch=40000003 syscall=102 success=no exit=-115 a0=3 a1=bfaca4e0 a2=711f80 a3=bfaca74c items=0 ppid=3335 pid=3404 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="yumdownloader" exe="/usr/bin/python" subj=system_u:system_r:abrt_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,yumdownloader,abrt_t,cluster_port_t,tcp_socket,name_connect
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t cluster_port_t:tcp_socket name_connect;

Comment 1 Daniel Walsh 2009-11-10 16:12:48 UTC
Fixed in selinux-policy-3.6.32-42.fc12

Comment 2 Fedora Update System 2009-11-16 19:37:29 UTC
selinux-policy-3.6.32-46.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-46.fc12

Comment 3 Fedora Update System 2009-11-18 14:11:19 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11672

Comment 4 Fedora Update System 2009-11-24 07:46:17 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.